package com.huatek.busi.service.threshold;

import com.huatek.busi.dto.CwzzThresholdDto;
import com.huatek.busi.dto.GeneratorAmplThresholdDto;
import com.huatek.busi.dto.TransformerIcgeThresholdDto;
import com.huatek.busi.entity.GeneratorAmplThreshold;
import com.huatek.busi.vo.CwzzThresholdVo;
import com.huatek.busi.vo.GeneratorAmplThresholdVo;
import com.huatek.busi.vo.TransformerIcgeThresholdVo;

import java.util.List;
import java.util.Map;

/**
 * 阈值表 Service
 */
public interface GeneratorAmplThresholdService {

    GeneratorAmplThresholdVo queryGeneratorAmplThreshold(String sensorCode, String workStatus);

    List<GeneratorAmplThresholdVo> queryGeneratorAmplThresholdBySensorCode(String sensorCode);

    int insertOrUpdate(String token, GeneratorAmplThresholdDto[] generatorAmplThresholdDto);

    int addSensorInsertGeneratorAmpl(String token,String sensorCode,String type);

    int  deleteSensorInsertGeneratorAmpl(String sensorCode);

    int  updateSensorInsertGeneratorAmpl(String oldSensorCode,String newSensorCode);

    Map<String, Object> findType(String sensorCode);
}
